[Support] Linuxserver.io - LazyLibrarian


Recommended Posts

I suppose, to be fair, the complexity is coming from integration with Calibre (My plex server only has to have access to downloaded files). It's frustrating that calibre is actually importing the files but LL is not processing that correctly. Because LL won't do that processing I have about a hundred calibre copies of the same book.  Maybe I will motivate myself by reading every copy until i resolve the issue 😂  

 

In any case, I will persevere a while longer. If i get results i'll report back

Link to comment
On 2/22/2020 at 7:50 PM, Black Aura said:

I suppose, to be fair, the complexity is coming from integration with Calibre (My plex server only has to have access to downloaded files). It's frustrating that calibre is actually importing the files but LL is not processing that correctly. Because LL won't do that processing I have about a hundred calibre copies of the same book.  Maybe I will motivate myself by reading every copy until i resolve the issue 😂  

 

In any case, I will persevere a while longer. If i get results i'll report back

I gave up and used the auto add directory method. It's not my preferred way but it works ok

Link to comment
  • 2 months later...

Hoping for some help, I have installed LL docker but when i try and open it I get a connection reffused error. See below for the logs:

Quote

 

[s6-init] making user provided files available at /var/run/s6/etc...exited 0.
[s6-init] ensuring user provided files have correct perms...exited 0.
[fix-attrs.d] applying ownership & permissions fixes...
[fix-attrs.d] done.
[cont-init.d] executing container initialization scripts...
[cont-init.d] 01-envfile: executing...
[cont-init.d] 01-envfile: exited 0.
[cont-init.d] 10-adduser: executing...

-------------------------------------
_ ()
| | ___ _ __
| | / __| | | / \
| | \__ \ | | | () |
|_| |___/ |_| \__/


Brought to you by linuxserver.io
-------------------------------------

To support LSIO projects visit:
https://www.linuxserver.io/donate/
-------------------------------------
GID/UID
-------------------------------------

User uid: 99
User gid: 100
-------------------------------------

[cont-init.d] 10-adduser: exited 0.
[cont-init.d] 30-config: executing...
[cont-init.d] 30-config: exited 0.
[cont-init.d] 99-custom-scripts: executing...
[custom-init] no custom files found exiting...
[cont-init.d] 99-custom-scripts: exited 0.
[cont-init.d] done.
[services.d] starting services
[services.d] done.
18-May-2020 15:20:09 - INFO :: MAIN : __init__.py:initialize:791 : Log (Rotating) Level set to [1]- Log Directory is [/config/log] - Config level is [1]
18-May-2020 15:20:09 - INFO :: MAIN : __init__.py:initialize:797 : Screen Log set to INFO
Lazylibrarian (pid 245) is starting up...
Traceback (most recent call last):
File "/usr/lib/python3.6/configparser.py", line 789, in get
value = d[option]
File "/usr/lib/python3.6/collections/__init__.py", line 883, in __getitem__
return self.__missing__(key) # support subclasses that define __missing__
File "/usr/lib/python3.6/collections/__init__.py", line 875, in __missing__
raise KeyError(key)
KeyError: 'gen_dltypes'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/app/lazylibrarian/LazyLibrarian.py", line 329, in <module>
main()
File "/app/lazylibrarian/LazyLibrarian.py", line 186, in main
lazylibrarian.initialize()
File "/app/lazylibrarian/lazylibrarian/__init__.py", line 801, in initialize
config_read()
File "/app/lazylibrarian/lazylibrarian/__init__.py", line 922, in config_read
CFG.set('GEN_0', 'DLTYPES', CFG.get('GEN', 'GEN_DLTYPES'))
File "/usr/lib/python3.6/configparser.py", line 792, in get
raise NoOptionError(option, section)
configparser.NoOptionError: No option 'gen_dltypes' in section: 'GEN'
18-May-2020 15:20:14 - INFO :: MAIN : __init__.py:initialize:791 : Log (Rotating) Level set to [1]- Log Directory is [/config/log] - Config level is [1]
18-May-2020 15:20:14 - INFO :: MAIN : __init__.py:initialize:797 : Screen Log set to INFO
Lazylibrarian (pid 264) is starting up...
Traceback (most recent call last):
File "/usr/lib/python3.6/configparser.py", line 789, in get
value = d[option]
File "/usr/lib/python3.6/collections/__init__.py", line 883, in __getitem__
return self.__missing__(key) # support subclasses that define __missing__
File "/usr/lib/python3.6/collections/__init__.py", line 875, in __missing__
raise KeyError(key)
KeyError: 'gen_dltypes'

 

 

Link to comment
  • 3 months later...
  • 4 weeks later...
  • 2 weeks later...

When I start the docker it only loads one or the other. It will not load both. It does not show any errors in my logs. I am using

" -e DOCKER_MODS=linuxserver/calibre-web:calibre|linuxserver/mods:lazylibrarian-ffmpeg "

in my extra parameters. When I do that I get

-e DOCKER_MODS=linuxserver/calibre-web:calibre|linuxserver/mods:lazylibrarian-ffmpeg 'linuxserver/lazylibrarian' 

sh: linuxserver/mods:lazylibrarian-ffmpeg: No such file or directory "

Link to comment
  • 1 month later...
On 8/25/2020 at 12:10 AM, saarg said:

You can't without changing the run file inside the container. And it will be overwritten every time you update the container.

Would there be a way of using a script to add --userid=xxxx to the start up?

 

Alternatively how would I do it in the docker itself? Ill just re-add it when it updates.

 

Edited by Mr_Jay84
Link to comment
10 hours ago, Mr_Jay84 said:

Would there be a way of using a script to add --userid=xxxx to the start up?

 

Alternatively how would I do it in the docker itself? Ill just re-add it when it updates.

 

Why do you need to add --userid? The container already take care of running it as the correct user.

If you absolutely have to change anything you can read this blog https://blog.linuxserver.io/2019/09/14/customizing-our-containers/

Link to comment
13 hours ago, saarg said:

Why do you need to add --userid? The container already take care of running it as the correct user.

If you absolutely have to change anything you can read this blog https://blog.linuxserver.io/2019/09/14/customizing-our-containers/

Its for setting LL to boot with guest account access as its being used with Organizr Auth so that the basic user can add books/authors to be downloaded but keep them out of the LL admin account.

 

EDIT: the developer has stated this

 

"You need to add the userid to lazylibrarian inside the docker, not to the docker itself. If you are using the linuxserver docker then lazylibrarian is started using the file /etc/services.d/lazylibrarian/run this file is where you need to add the userid."

 

Unfortunately when I try and 'vi' into the file I'm prevented.

Edited by Mr_Jay84
Link to comment
  • 3 weeks later...
  • 2 weeks later...
  • 3 weeks later...

I just set this up, and am able to add an author and download ebooks and audiobooks, but they are not moving to my media share like I designated. I did find out that it seems to be postprocessing and renaming and moving to my app data folder. I see nowhere in the settings that is causing this. It is making an author folder and then renaming the books and putting them into subfolders inside of the author folder. But like I said, it is going to app data instead of my media share.

Link to comment

Hi all. I am having an issue where LL successfully finds a book and then sends it to SABNZBD where it is successfully downloaded but then LL does not process the completed download. Pretty much this issue on GitHub.

 

It's odd because the completed downloads WERE being processed at some point today but then stopped suddenly. The only change I had made was to setup a Calibre library. My Calibre library is kept in its own share (following SpaceInvaderOne's setup) at /calibrelibrary and is NOT under /media/books.

 

The prior LL files that were processed successfully are set to their respective </media/books/Author/Book Title> subfolder and Calibre then looks in /media/books to import/make a copy to the share /calibrelibrary

 

I understand the LL project itself has not been updated for the last 2 years or so but if anyone has the post-processing working, I don't mind to do periodic manual Importing to Calibre itself. TIA!

 

Screen Shot 2020-12-29 at 23.40.37.png

debug.zip

Edited by junknstuff
Added image & debug file
Link to comment
  • 1 month later...
On 10/1/2020 at 9:31 AM, cheerios2006 said:

When I start the docker it only loads one or the other. It will not load both. It does not show any errors in my logs. I am using

" -e DOCKER_MODS=linuxserver/calibre-web:calibre|linuxserver/mods:lazylibrarian-ffmpeg "

in my extra parameters. When I do that I get

-e DOCKER_MODS=linuxserver/calibre-web:calibre|linuxserver/mods:lazylibrarian-ffmpeg 'linuxserver/lazylibrarian' 

sh: linuxserver/mods:lazylibrarian-ffmpeg: No such file or directory "

 

@cheerios2006

Make sure you extra parameters look exactly like this:

 

-e 'DOCKER_MODS=linuxserver/calibre-web:calibre|linuxserver/mods:lazylibrarian-ffmpeg'

 

Please note the single quotation marks.

 

It will take a long time (like a minute or two) for your container to start the first time.  All the different libraries have to be pulled in and installed.  You can console in to the container after it fully starts and type ffmpeg, and you can see that it is installed.  I was able to properly tag audio books using LL (and have them looking pretty in Plex, but I digress).

 

As for the Calibre integration, I cannot verify that this is working yet.  Calibre is not the most straightforward thing to configure, but I am working on it.  I hope this helps.

  • Thanks 1
Link to comment
  • 2 months later...

The LazyLibrarian GUI continually fails to load on my browser.  Error codes from the logs are pasted below:

 

/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py:1020: InsecureRequestWarning: Unverified HTTPS request is being made to host 'www.howsmyssl.com'. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
InsecureRequestWarning,
06-Apr-2021 17:06:47 - INFO :: MAIN : __init__.py:build_genres:1919 : Loaded genres from /app/lazylibrarian/example.genres.json
/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py:1020: InsecureRequestWarning: Unverified HTTPS request is being made to host 'bootswatch.com'. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
InsecureRequestWarning,
06-Apr-2021 17:06:49 - INFO :: MAIN : __init__.py:build_bookstrap_themes:1904 : Bookstrap found 16 themes
/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py:1020: InsecureRequestWarning: Unverified HTTPS request is being made to host 'lazylibrarian.gitlab.io'. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
InsecureRequestWarning,
/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py:1020: InsecureRequestWarning: Unverified HTTPS request is being made to host 'gitlab.com'. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
InsecureRequestWarning,
06-Apr-2021 17:06:51 - INFO :: MAIN : versioncheck.py:logmsg:42 : Lazylibrarian is up to date
06-Apr-2021 17:06:52 - WARNING :: MAIN : LazyLibrarian.py:main:251 : Unrecognised version [0b44252f] to force upgrade delete /config/cache/version.txt
06-Apr-2021 17:06:52 - INFO :: MAIN : LazyLibrarian.py:main:269 : Apprise library (0.9.1) installed
06-Apr-2021 17:06:52 - INFO :: MAIN : LazyLibrarian.py:main:286 : Starting LazyLibrarian on port: 5299, webroot "http"
06-Apr-2021 17:06:52 - INFO :: MAIN : webStart.py:initialize:69 : Starting LazyLibrarian web server on http://192.168.0.20:5299/http
06-Apr-2021 17:06:52 - WARNING :: MAIN : webStart.py:initialize:246 : Failed to start on port: 5299. Is something else running?
06-Apr-2021 17:06:52 - WARNING :: MAIN : webStart.py:initialize:247 : Port 5299 is in use on '192.168.0.20'; perhaps the previous httpserver did not shut down properly.
Lazylibrarian (pid 609) is starting up...
Failed to start on port: 5299. Is something else running?
Port 5299 is in use on '192.168.0.20'; perhaps the previous httpserver did not shut down properly.

 

I can confirm that port 5299 is not used by any other docker.  All the WebGUIs of my other dockers (Plex, Deluge, MakeMKV) seem to work properly.

 

Thanks for your time.

Link to comment
  • 2 months later...
  • 1 month later...

There seem to be a lot of problems with the front-end for this image:

 

- The "search" button on the ebooks/audiobooks page doesn't do anything, just refreshes the page

- The search box on the "series" page returns a 404 because the URL parameter is called "searchbox" (manually changing the URL to use "name" seems to work)

- Changing of the "status" dropdowns on the manage page seems to just refresh the page and only ever show things in the "wanted" state

 

Anyone else seeing this? I don't see any js errors in my console and the behavior is the same between Firefox and Chrome.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.